Reject User
POST
/admin/users/{user_id}/reject/
const url = 'https://example.com/admin/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reject/';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/admin/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reject/ \ --header 'Authorization: Bearer <token>'Reject a pending user by hard-deleting them (admin only).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” user_id
required
User Id
string format: uuid
Responses
Section titled “ Responses ”Successful Response
Bad request — invalid query parameters or payload
Media type application/problem+json
Unauthorized — missing or invalid credentials
Media type application/problem+json
Forbidden — caller lacks access to this resource
Media type application/problem+json
Not found
Media type application/problem+json
Validation error
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json